
Redmine - Defect #6987

Missing template wiki/update.erb

2010-11-26 12:14 - Milan Stastny

Status: Closed Start date: 2010-11-26

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hi today we ran into Internal Error when trying to update previously deleted page.

The way to reproduce this is

Add wiki page

Edit something on it

Delete the page

Add the page again

After that redmine throws this error:

Processing WikiController#update (for 10.0.1.207 at 2010-11-26 12:00:44) [PUT]

  Parameters: {"commit"=>"Save", "project_id"=>"alvila-admin", "action"=>"update", "_method"=>"put

", "id"=>"TEST", "content"=>{"comments"=>"", "text"=>"h1. TEST\r\n\r\nNew page", "version"=>"0"}, 

"controller"=>"wiki", "attachments"=>{"=>{"description"=>""}}}

ActionView::MissingTemplate (Missing template wiki/update.erb in view path vendor/plugins/menu_lin

k/app/views:vendor/plugins/redmine-mylyn-connector/app/views:vendor/plugins/redmine_alvila_addons/

app/views:vendor/plugins/redmine_charts/app/views:vendor/plugins/redmine_code_review/app/views:ven

dor/plugins/redmine_graphs_plugin/app/views:vendor/plugins/redmine_hudson/app/views:vendor/plugins

/redmine_newissuealerts/app/views:vendor/plugins/redmine_time_tracker/app/views:vendor/plugins/tim

esheet_plugin/app/views:app/views):

  /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

  /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

  /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /opt/redmine-alvila/public/500.html (500 Internal Server Error)

 ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /opt/redmine-alvila

Environment               production

Database adapter          postgresql

Database schema version   20101114115359
About your Redmine plugins

Redmine Newissuealerts plugin   0.0.2

Issue Due Date                  0.1.0

Mylyn Connector plugin          2.7.0.stable.RC3

Redmine Time Tracker plugin     0.3

Redmine Graphs plugin           0.1.0

Timesheet Plugin                0.6.0

Redmine Code Review plugin      0.4.0

Redmine Alvila Addons plugin    0.0.1

Menu Link Plugin                0.0.1

Redmine Hudson plugin           1.0.6

Redmine Charts                  0.1.0

Associated revisions

Revision 4429 - 2010-11-27 11:34 - Jean-Philippe Lang

Fixed: Missing template wiki/update.erb error introduced in r4272 (#6987).

Revision 4430 - 2010-11-27 12:14 - Jean-Philippe Lang

Fixed: Wiki#find_page should not be case sensitive because page title uniqueness is not (#6987).

History

#1 - 2010-11-26 12:18 - Milan Stastny

The problem is somewhere else, the way to reproduce is wrong

There have been two separate links to the page one

[[Test]]

The other one

[[TEST]]

After that the internal error occurred. Seems like the page search is case insensitive but the page Update is case sensitive.

#2 - 2010-11-27 12:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) changed from 1.0.3 to devel

- Resolution set to Fixed

- Affected version deleted (1.0.3)

The Missing template wiki/update.erb error is fixed in r4429.

The page search was indeed case sensitive with postgresql. It's fixed in r4430. The 2 wiki links in your example should now link to the same page.

#3 - 2011-02-09 02:21 - HyunKil Song

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Another way to reproduce like this

A open wiki page 1 and edit something

B open wiki page 1 and edit something

A submit wiki page 1

B submit wiki page 1

The Missing template wiki/update.erb error occurs.

#4 - 2011-02-09 02:32 - HyunKil Song

Concurrent editting in Wiki is very basic feature.

I tested in my env (1.1.1) and demo.redmine.org.
#5 - 2011-03-01 10:48 - Alex Shulgin

- File redmine-1.1-fix-missing-template-wiki-update-erb.patch added

I was hit by this problem too (trying to update a wiki page which was updated in the way.)

Attached is an easy fix for this problem: render edit template when leaving update method from the rescue block.

--

Alex

#6 - 2011-06-20 02:35 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

I cannot reproduce on current trunk with HyunKil's steps, is it specific to postgresql ? Anyway, it's not the same problem as the original one, so I

re-close this issue and encourage you to open a new one with detailed steps to reproduce the problem. Alex: thanks for your hint but I'd like to be

sure to see which case it covers (with a test) before applying it.

Files

redmine-1.1-fix-missing-template-wiki-update-erb.patch 355 Bytes 2011-03-01 Alex Shulgin
